﻿using System;
using System.ComponentModel;
using Telerik.Windows;
using Telerik.Windows.Controls.GridView;

namespace RadGridView_SL4_AR_40
{
	public partial class MainPage : INotifyPropertyChanged
	{
		private GridViewCellBase clickedCell;
		public GridViewCellBase ClickedCell
		{
			get
			{
				return clickedCell;
			}
			set
			{
				clickedCell = value;
				if (this.PropertyChanged != null)
				{
					this.PropertyChanged(this, new PropertyChangedEventArgs("ClickedCell"));
				}
			}
		}

		public MainPage()
		{
			InitializeComponent();
			this.clubsGrid.AddHandler(GridViewCell.MouseDoubleClickEvent, new EventHandler<RadRoutedEventArgs>(OnCellDoubleClick), true);		
		}

		private void OnCellDoubleClick(object sender, RadRoutedEventArgs args)
		{
			GridViewCellBase cell = args.OriginalSource as GridViewCellBase;
			if (cell != null)
			{
				this.ClickedCell = cell;
			}
		}		

		public event PropertyChangedEventHandler PropertyChanged;
		
	}
}		